Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87561 - segfault when installing srpm on full disk
Summary: segfault when installing srpm on full disk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-28 21:15 UTC by Boris Folgmann
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 19:30:10 UTC


Attachments (Terms of Use)
strace dump of rpm -i srpm (deleted)
2003-03-28 21:17 UTC, Boris Folgmann
no flags Details

Description Boris Folgmann 2003-03-28 21:15:14 UTC
Description of problem:
$ rpm -i rpms/anjuta-1.0.2-1.src.rpm
exits with segfault
my %_topdir is on a full disk

Version-Release number of selected component (if applicable):
rpm-4.1-1.06

How reproducible:
always

Additional info:
see attachment (strace)

Comment 1 Boris Folgmann 2003-03-28 21:17:33 UTC
Created attachment 90773 [details]
strace dump of rpm -i srpm

my %_topdir is /data/src/redhat
disk /data is full

Comment 2 Paul Nasrat 2005-09-29 19:30:10 UTC
   1:kernel                 warning: user pnasrat does not exist - using root
warning: group pnasrat does not exist - using root
########################################### [100%]
error: unpacking of archive failed on file
/mnt/spare/SOURCES/COPYING.modules;433c410f: cpio: write failed - No space left
on device


Comment 3 Boris Folgmann 2006-02-06 09:35:40 UTC
I haven't tried again, but did you also use a SRPM or a binary RPM?



Note You need to log in before you can comment on or make changes to this bug.